\documentclass[10pt]{article}
\usepackage{pgfplots}
\usepackage{tikz}
\usetikzlibrary{hobby}
\pgfplotsset{compat=1.15}
\usepackage{mathrsfs}
\usetikzlibrary{arrows}
\pagestyle{empty}
\begin{document}
\definecolor{uuuuuu}{rgb}{0.26666666666666666,0.26666666666666666,0.26666666666666666}
\definecolor{xdxdff}{rgb}{0.49019607843137253,0.49019607843137253,1}
\definecolor{ududff}{rgb}{0.30196078431372547,0.30196078431372547,1}
\begin{tikzpicture}[line cap=round,line join=round,>=triangle 45,x=1cm,y=1cm,use Hobby shortcut]
\begin{axis}[
x=1cm,y=1cm,
axis lines=middle,
ymajorgrids=true,
xmajorgrids=true,
xmin=-4.0,
xmax=8.0,
ymin=-1.0,
ymax=8.0,
xtick={-4,-3,...,8},
ytick={-1,0,...,8},]
\clip(-4,-1) rectangle (8,8);
\draw [line width=2pt] (-3,-1)-- (6,2);
\draw [->,line width=2pt] (-1.0068461538461535,-0.33561538461538454) -- (-2.826307692307692,5.12276923076923);
\draw [->,line width=2pt] (0.05515384615384633,0.018384615384615444) -- (-1.7643076923076921,5.47676923076923);
\draw [->,line width=2pt] (1.1157692307692315,0.371923076923077) -- (-0.7036923076923067,5.8303076923076915);
\draw [->,line width=2pt] (2.1154615384615383,0.7051538461538462) -- (0.296,6.163538461538462);
\draw [->,line width=2pt] (2.9808461538461533,0.9936153846153846) -- (1.1613846153846152,6.452);
\draw [->,line width=2pt] (3.6468461538461545,1.2156153846153845) -- (1.895538461538462,6.469538461538462);
\begin{scriptsize}
\draw [fill=ududff] (-3,-1) circle (2.5pt);
\draw[color=ududff] (-2.84,-0.58) node {$C$};
\draw [fill=ududff] (6,2) circle (2.5pt);
\draw[color=ududff] (6.16,2.42) node {$D$};
\draw[color=black] (1.68,0.44) node {$g$};
\draw [fill=ududff] (-3.46,-0.77) circle (2.5pt);
\draw[color=ududff] (-3.3,-0.34) node {$A$};
\draw [fill=xdxdff] (-2.182384615384615,-0.7274615384615384) circle (2.5pt);
\draw[color=xdxdff] (-2.02,-0.3) node {$B$};
\draw [fill=xdxdff] (-1.803,-0.601) circle (2.5pt);
\draw[color=xdxdff] (-1.64,-0.18) node {$E$};
\draw [fill=xdxdff] (-1.5274615384615386,-0.5091538461538462) circle (2.5pt);
\draw[color=xdxdff] (-1.36,-0.08) node {$F$};
\draw [fill=xdxdff] (-1.263,-0.421) circle (2.5pt);
\draw[color=xdxdff] (-1.1,0) node {$G$};
\draw [fill=xdxdff] (-1.0068461538461535,-0.33561538461538454) circle (2.5pt);
\draw[color=xdxdff] (-0.84,0.1) node {$H$};
\draw [fill=xdxdff] (-0.681461538461539,-0.22715384615384626) circle (2.5pt);
\draw[color=xdxdff] (-0.52,0.2) node {$I$};
\draw [fill=xdxdff] (-0.3062307692307691,-0.10207692307692295) circle (2.5pt);
\draw[color=xdxdff] (-0.14,0.32) node {$J$};
\draw [fill=xdxdff] (0.05515384615384633,0.018384615384615444) circle (2.5pt);
\draw[color=xdxdff] (0.22,0.44) node {$K$};
\draw [fill=xdxdff] (0.44146153846153835,0.1471538461538462) circle (2.5pt);
\draw[color=xdxdff] (0.6,0.58) node {$L$};
\draw [fill=xdxdff] (0.7668461538461537,0.2556153846153846) circle (2.5pt);
\draw[color=xdxdff] (0.92,0.68) node {$M$};
\draw [fill=xdxdff] (1.1157692307692315,0.371923076923077) circle (2.5pt);
\draw[color=xdxdff] (1.28,0.8) node {$N$};
\draw [fill=xdxdff] (1.4134615384615383,0.47115384615384603) circle (2.5pt);
\draw[color=xdxdff] (1.58,0.9) node {$O$};
\draw [fill=xdxdff] (1.7665384615384614,0.5888461538461538) circle (2.5pt);
\draw[color=xdxdff] (1.92,1.02) node {$P$};
\draw [fill=xdxdff] (2.1154615384615383,0.7051538461538462) circle (2.5pt);
\draw[color=xdxdff] (2.28,1.14) node {$Q$};
\draw [fill=xdxdff] (2.5945384615384626,0.864846153846154) circle (2.5pt);
\draw[color=xdxdff] (2.76,1.3) node {$R$};
\draw [fill=xdxdff] (2.9808461538461533,0.9936153846153846) circle (2.5pt);
\draw[color=xdxdff] (3.14,1.42) node {$S$};
\draw [fill=xdxdff] (3.3103846153846153,1.1034615384615383) circle (2.5pt);
\draw[color=xdxdff] (3.48,1.54) node {$T$};
\draw [fill=xdxdff] (3.6468461538461545,1.2156153846153845) circle (2.5pt);
\draw[color=xdxdff] (3.8,1.64) node {$U$};
\draw [fill=xdxdff] (4.094076923076923,1.3646923076923074) circle (2.5pt);
\draw[color=xdxdff] (4.26,1.8) node {$V$};
\draw [fill=xdxdff] (4.542692307692309,1.5142307692307693) circle (2.5pt);
\draw[color=xdxdff] (4.7,1.94) node {$W$};
\draw [fill=xdxdff] (4.971923076923077,1.6573076923076924) circle (2.5pt);
\draw[color=xdxdff] (5.14,2.08) node {$Z$};
\draw [fill=xdxdff] (5.3125384615384625,1.7708461538461542) circle (2.5pt);
\draw[color=xdxdff] (5.54,2.26) node {$A_1$};
\draw [fill=uuuuuu] (-2.826307692307692,5.12276923076923) circle (2pt);
\draw[color=uuuuuu] (-2.6,5.58) node {$C_1$};
\draw[color=black] (-1.92,2.6) node {$u$};
\draw [fill=uuuuuu] (-1.7643076923076921,5.47676923076923) circle (2pt);
\draw[color=uuuuuu] (-1.54,5.92) node {$D_1$};
\draw[color=black] (-0.86,2.96) node {$v$};
\draw [fill=uuuuuu] (-0.7036923076923067,5.8303076923076915) circle (2pt);
\draw[color=uuuuuu] (-0.48,6.28) node {$E_1$};
\draw[color=black] (0.2,3.32) node {$w$};
\draw [fill=uuuuuu] (0.296,6.163538461538461) circle (2pt);
\draw[color=uuuuuu] (0.52,6.62) node {$F_1$};
\draw[color=black] (1.26,3.7) node {$u_1$};
\draw [fill=uuuuuu] (1.1613846153846152,6.452) circle (2pt);
\draw[color=uuuuuu] (1.38,6.9) node {$G_1$};
\draw[color=black] (2.12,4) node {$v_1$};
\draw[color=black] (2.82,4.12) node {$w_1$};
\end{scriptsize}
\end{axis}
\path
  (-.4,.5) coordinate (z0)
  (.6,1.3) coordinate (z1)
  (.4,2.3) coordinate (z2)
  (-.3,1.9) coordinate (z3)
  (-.4,1.5) coordinate (z4);
  \draw[closed] (z0) .. (z1) .. (z2) .. (z3) .. (z4);
\end{tikzpicture}
\end{document}